Get Public Device Specs
GET
/api/v1/devices/public-specs
const url = 'https://example.com/api/v1/devices/public-specs';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/devices/public-specsResponses
Section titled “ Responses ”Successful Response
Media typeapplication/json
NonPaginatedResponse[Sequence[ProducedDeviceSpecsResponse]]
object
data
Any of:
Array<object>
ProducedDeviceSpecsResponseResponse to a request for device specs to display on a page.
object
device_type
required
Device Type
string
specs
required
Specs
string
null
Examplegenerated
{ "data": [ { "device_type": "example", "specs": "example" } ]}